Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class BusyStatus

    java.lang.Object
      com.compoze.domino.BusyStatus

All Implemented Interfaces:
  java.io.Serializable

public class BusyStatus
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'busy status'. The internationalizable string values are stored in the `domino_resources.properties` file (accessed through `DominoProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static BusyStatus` | `BUSY` This value represents a 'busy' busy status.
`static BusyStatus` | `FREE` This value represents a 'free' busy status.
`static BusyStatus` | `RESTRICTED` This value represents a 'restricted' busy status.
`static int` | `STORE_VALUE_BUSY` This value represents the 'busy' store value.
`static int` | `STORE_VALUE_FREE` This value represents the 'free' store value.
`static int` | `STORE_VALUE_RESTRICTED` This value represents the 'restricted' store value.
`static java.lang.String` | `STRING_STORE_VALUE_BUSY` This value represents the 'busy' store value.
`static java.lang.String` | `STRING_STORE_VALUE_FREE` This value represents the 'free' store value.
`static java.lang.String` | `STRING_STORE_VALUE_RESTRICTED` This value represents the 'restricted' store value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static BusyStatus` | `get(int iStoreValue)` Gets the busy status by its store value.
`static java.util.List` | `getList()` Gets the list of busy status levels.
`java.lang.String` | `getName()` Gets the name of the busy status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the busy status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the busy status in the storage system.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_FREE

    public static final int STORE_VALUE_FREE

  This value represents the 'free' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_BUSY

    public static final int STORE_VALUE_BUSY

  This value represents the 'busy' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_RESTRICTED

    public static final int STORE_VALUE_RESTRICTED

  This value represents the 'restricted' store value.

  See Also:
    Constant Field Values

### STRING_STORE_VALUE_FREE

    public static final java.lang.String STRING_STORE_VALUE_FREE

  This value represents the 'free' store value.

  See Also:
    Constant Field Values

### STRING_STORE_VALUE_BUSY

    public static final java.lang.String STRING_STORE_VALUE_BUSY

  This value represents the 'busy' store value.

  See Also:
    Constant Field Values

### STRING_STORE_VALUE_RESTRICTED

    public static final java.lang.String STRING_STORE_VALUE_RESTRICTED

  This value represents the 'restricted' store value.

  See Also:
    Constant Field Values

### FREE

    public static final BusyStatus FREE

  This value represents a 'free' busy status.

### BUSY

    public static final BusyStatus BUSY

  This value represents a 'busy' busy status.

### RESTRICTED

    public static final BusyStatus RESTRICTED

  This value represents a 'restricted' busy status.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the busy status using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the busy status using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the busy status in the storage system.

  Returns:
    the store value

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### get

    public static BusyStatus get(int iStoreValue)

  Gets the busy status by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching busy status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of busy status levels.

  Returns:
    the list of `BusyStatus`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.